=== debian/control ===
Source: libxmlrpc3-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Torsten Werner <twerner@debian.org>,
           Damien Raude-Morvan <drazzib@debian.org>,
           Jakub Adam <jakub.adam@ktknet.cz>,
           Emmanuel Bourg <ebourg@apache.org>
Build-Depends: debhelper (>= 10),
               default-jdk,
               default-jdk-doc,
               javahelper,
               junit,
               libcommons-httpclient-java,
               libcommons-logging-java,
               libjaxb-java,
               libmaven-javadoc-plugin-java,
               libservlet3.1-java,
               libws-commons-util-java,
               maven-debian-helper
Standards-Version: 4.1.2
Vcs-Git: https://anonscm.debian.org/git/pkg-java/libxmlrpc3-java.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libxmlrpc3-java.git
Homepage: http://ws.apache.org/xmlrpc/

Package: libxmlrpc3-common-java
Architecture: all
Depends: libws-commons-util-java, ${misc:Depends}
Description: XML-RPC implementation in Java
 XML-RPC is a popular protocol using XML over HTTP to implement remote
 procedure calls.
 .
 Apache XML-RPC is a Java implementation of the XML-RPC specification.

Package: libxmlrpc3-client-java
Architecture: all
Depends: libcommons-httpclient-java,
         libxmlrpc3-common-java (= ${source:Version}),
         ${misc:Depends}
Description: XML-RPC implementation in Java (client side)
 This package contains the client-side code needed to invoke XML-RPC
 services.
 .
 For more information on XML-RPC protocol, see libxmlrpc3-common-java
 package.

Package: libxmlrpc3-server-java
Architecture: all
Depends: libcommons-logging-java,
         libservlet3.1-java,
         libxmlrpc3-common-java (= ${source:Version}),
         ${misc:Depends}
Description: XML-RPC implementation in Java (server side)
 This package contains the server-side code needed to write XML-RPC
 services.
 .
 For more information on XML-RPC protocol, see libxmlrpc3-common-java
 package.

Package: libxmlrpc3-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: default-jdk-doc
Description: XML-RPC implementation in Java (API documentation)
 This package contains documentation for Apache XML-RPC library. Both
 client and server API are documented.
 .
 For more information on XML-RPC protocol, see libxmlrpc3-common-java
 package.
