## libxmlrpc3-java 3.1.3.1

=== debian/changelog ===
libxmlrpc3-java (3.1.3.1-0.1+dde) unstable; urgency=medium

  [ qinxialei ]
  * Non-maintainer upload.
  * Rebuild

  [ Debian Java Maintainers ]
  * update

 -- Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>  Tue, 22 Jun 2021 11:11:19 +0800
